Bug 102006 - fileutils needs O_DIRECT support for OCFS
Summary: fileutils needs O_DIRECT support for OCFS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: fileutils (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-08 19:56 UTC by Chris Runge
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-03 15:24:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
O_DIRECT patch (13.01 KB, patch)
2003-08-08 19:56 UTC, Chris Runge
no flags Details | Diff
dd O_DIRECT patch (12.64 KB, patch)
2003-08-08 19:57 UTC, Chris Runge
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:309 normal SHIPPED_LIVE : Updated fileutils/coreutils package fix ls vulnerabilities 2003-11-03 05:00:00 UTC
Red Hat Product Errata RHSA-2003:310 normal SHIPPED_LIVE Important: fileutils security update 2003-11-12 05:00:00 UTC

Description Chris Runge 2003-08-08 19:56:01 UTC
Description of problem:

The latest version of fileutils lacks O_DIRECT support for cp/dd files from OCFS
filesystems. up2dating to this version breaks this capability.

Version-Release number of selected component (if applicable):

fileutils-4.1-10.1.i386.rpm

Additional info:

Oracle (S)RPMS with this support at 
http://oss.oracle.com/~wcoekaer/ocfs/redhat/RPMS/fileutils/

Comment 1 Chris Runge 2003-08-08 19:56:43 UTC
Created attachment 93536 [details]
O_DIRECT patch

Comment 2 Chris Runge 2003-08-08 19:57:09 UTC
Created attachment 93537 [details]
dd O_DIRECT patch

Comment 3 Chris Runge 2003-08-08 19:57:52 UTC
attached two patches from Oracle SRPM which I believe add the support

The reporting customer is Verizon Wireless

Comment 6 Tim Waugh 2003-08-18 09:35:20 UTC
Where should this be built?

Comment 7 Tim Waugh 2003-09-05 10:53:32 UTC
*ping*

Should this be done as an RHBA?

Comment 8 Chris Runge 2003-09-05 13:02:05 UTC
The customer would like an official, supported fix for this.

Comment 9 Mark J. Cox 2003-11-03 15:24:41 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-309.html



Note You need to log in before you can comment on or make changes to this bug.